Bug 1759866 - missing env variable to avoid fullscreen unfocus shenanigans
Summary: missing env variable to avoid fullscreen unfocus shenanigans
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pioneer
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-09 09:48 UTC by customercare
Modified: 2019-10-26 17:24 UTC (History)
1 user (show)

Fixed In Version: pioneer-20191009-2.fc30 pioneer-20191009-2.fc29 pioneer-20191009-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-19 17:41:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github pioneerspacesim pioneer issues 4686 None None None 2019-10-09 09:48:15 UTC

Description customercare 2019-10-09 09:48:15 UTC
Description of problem:

When run in fullscreenmode any unfocus of the screen, iconifies the game. Very anoying on a dual monitor system.

Version-Release number of selected component (if applicable):

20190302

Workaround:

Change "Exec" in /usr/share/applications/pioneer.desktop to:

Exec=env force_s3tc_enable=true SDL_VIDEO_MINIMIZE_ON_FOCUS_LOSS=0 pioneer

Upstream project will offer borderless fullscreenwindows to mitigate this even further in the future.

Comment 1 Fedora Update System 2019-10-09 19:52:54 UTC
FEDORA-2019-d631b21692 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d631b21692

Comment 2 Fedora Update System 2019-10-09 19:52:55 UTC
FEDORA-2019-79e0bdd4f1 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-79e0bdd4f1

Comment 3 Antonio 2019-10-09 19:54:41 UTC
(In reply to customercare from comment #0)
> Description of problem:
> 
> When run in fullscreenmode any unfocus of the screen, iconifies the game.
> Very anoying on a dual monitor system.
> 
> Version-Release number of selected component (if applicable):
> 
> 20190302
> 
> Workaround:
> 
> Change "Exec" in /usr/share/applications/pioneer.desktop to:
> 
> Exec=env force_s3tc_enable=true SDL_VIDEO_MINIMIZE_ON_FOCUS_LOSS=0 pioneer
> 
> Upstream project will offer borderless fullscreenwindows to mitigate this
> even further in the future.

Please, check if this problem replicates in newer version, too.

Comment 4 customercare 2019-10-09 21:08:06 UTC
with pleasure, except... reported against F29 for a reason ;)

Comment 5 Fedora Update System 2019-10-09 23:05:54 UTC
pioneer-20191009-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d631b21692

Comment 6 Antonio 2019-10-10 09:02:46 UTC
(In reply to customercare from comment #4)
> with pleasure, except... reported against F29 for a reason ;)

Still?
Fedora 31 is coming...

Comment 7 Fedora Update System 2019-10-10 09:27:16 UTC
FEDORA-2019-80c61d11f0 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-80c61d11f0

Comment 8 customercare 2019-10-10 10:56:47 UTC
* NOT FIXED *

It still iconifies on focus loss. 

The suggested workaround:
 
> Change "Exec" in /usr/share/applications/pioneer.desktop to:
> Exec=env force_s3tc_enable=true SDL_VIDEO_MINIMIZE_ON_FOCUS_LOSS=0 pioneer

was not included.

But several other upstream bugs have been fixed.

Comment 9 Fedora Update System 2019-10-10 16:04:04 UTC
pioneer-20191009-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-80c61d11f0

Comment 10 Fedora Update System 2019-10-10 16:52:14 UTC
FEDORA-2019-80c61d11f0 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-80c61d11f0

Comment 11 Fedora Update System 2019-10-10 16:53:33 UTC
FEDORA-2019-d631b21692 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d631b21692

Comment 12 Fedora Update System 2019-10-10 16:55:34 UTC
FEDORA-2019-0e748bef89 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0e748bef89

Comment 13 Fedora Update System 2019-10-10 17:29:27 UTC
pioneer-20191009-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-79e0bdd4f1

Comment 14 Fedora Update System 2019-10-11 16:53:28 UTC
pioneer-20191009-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d631b21692

Comment 15 Fedora Update System 2019-10-12 01:14:37 UTC
pioneer-20191009-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-80c61d11f0

Comment 16 Fedora Update System 2019-10-12 02:02:09 UTC
pioneer-20191009-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0e748bef89

Comment 17 Fedora Update System 2019-10-19 17:41:13 UTC
pioneer-20191009-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-10-19 17:44:54 UTC
pioneer-20191009-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-10-26 17:24:20 UTC
pioneer-20191009-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.